from django.forms import JSONField


class EmptyableJSONField(JSONField):
    """
    A JSONField that accepts empty objects.
    """

    # JSONField.empty_values, but allowing the empty dict
    empty_values = [None, "", [], ()]
