from django.core.management import call_command
from django.test import TestCase


class TestSchema(TestCase):
    def test_generate_schema(self):
        """
        Runs the OpenAPI schema generation command, causing this test to fail if something goes wrong with the schema validation.
        """
        call_command(
            "spectacular",
            format="openapi-json",
            fail_on_warn=True,
            validate=True,
        )
